aboutsummaryrefslogtreecommitdiffstats
path: root/testing/terminator/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2015-09-17 07:16:30 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2015-09-17 07:16:30 +0000
commite4e01921f714ae1faa15c1c3929da3a67bf4e3d7 (patch)
tree7d1ae926508e9f7c18af7815eb832aac626fc022 /testing/terminator/APKBUILD
parentb0f104df0d44b9e105d4909c831675c4985349f8 (diff)
downloadaports-e4e01921f714ae1faa15c1c3929da3a67bf4e3d7.tar.gz
aports-e4e01921f714ae1faa15c1c3929da3a67bf4e3d7.tar.bz2
aports-e4e01921f714ae1faa15c1c3929da3a67bf4e3d7.tar.xz
testing/terminator: new aport
Diffstat (limited to 'testing/terminator/APKBUILD')
-rw-r--r--testing/terminator/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/terminator/APKBUILD b/testing/terminator/APKBUILD
new file mode 100644
index 0000000000..b408d76241
--- /dev/null
+++ b/testing/terminator/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=terminator
+pkgver=0.98
+pkgrel=0
+pkgdesc="Terminal emulator that supports tabs and grids"
+url="http://gnometerminator.blogspot.fr/p/introduction.html"
+arch="noarch"
+license="GPL2"
+depends="py-gtk xdg-utils vte dbus-glib gettext intltool"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="https://launchpad.net/$pkgname/trunk/$pkgver/+download/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --skip-build --root="${pkgdir}"
+ rm -f "${pkgdir}/usr/share/icons/hicolor/icon-theme.cache"
+
+}
+
+md5sums="241af292fe16bed290052b86adb30b80 terminator-0.98.tar.gz"
+sha256sums="0a6d8c9ffe36d67e60968fbf2752c521e5d498ceda42ef171ad3e966c02f26c1 terminator-0.98.tar.gz"
+sha512sums="c40ac1929bb446239f769d33f37a6d49ee79ea10755dda4bbbd228763f13661f0ef7efd950a592462150237e516077311318e2a19c9f08adac76a418cf633573 terminator-0.98.tar.gz"